//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// April 26, 1999
//
#ifndef Energy_Selector_h
#define Energy_Selector_h

#include <qspinbox.h>

class EnergySelector : public QSpinBox {

  Q_OBJECT

    public:
  
  EnergySelector(QWidget * parent = 0, const char * name = 0);
  ~EnergySelector() {};
  
  private slots:
    
    void myvaluechanged(int v);
  
 signals:
  void calStateIsUpdated();
  
  public slots:
    void update();
  
 private:
  void init();

};


#endif
