//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// April 2000
//
#ifndef SpectralOrder_Selector_h
#define SpectralOrder_Selector_h

#include <qspinbox.h>

class SpectralOrderSelector : public QSpinBox {

  Q_OBJECT

    public:
  
  SpectralOrderSelector(QWidget * parent=0, const char * name=0);
  ~SpectralOrderSelector() {};
  
  private slots:
    
    void myvaluechanged(int v);
  
 signals:
  void calStateIsUpdated();
  
  public slots:
    void update();
  
 private:
  void init();

};


#endif
