//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// March 2000
//
#ifndef Theta_Selector_h
#define Theta_Selector_h

#include <qspinbox.h>

class ThetaSelector : public QSpinBox {

  Q_OBJECT

    public:
  
  ThetaSelector(QWidget * parent=0, const char * name=0);
  ~ThetaSelector() {};
  
  private slots:
    
    void myvaluechanged(int v);
  
 signals:
  void calStateIsUpdated();
  
  public slots:
    void update();
  
 private:
  void init();

};


#endif
